list: List the branches of a project

API: sonarcloud.io:sonarqube
Endpoint: /api/project_branches/list
Response format: application/json
Auth: unknown
Method: GET
Last Status: 400
Latency: 252ms

Description

List the branches of a project. The statistics are the overall counts on long branches, and the count of issues detected on the changed code on short branches, and are only provided if the project parameter is specified. If the project parameter is specified, requires the user to have 'Browse' or 'Execute analysis' rights on that project. Otherwise, only returns branches from projects on which this user has 'Browse' or 'Execute analysis' rights.

Parameters (2)

branchIds (string, query, optional)

List of up to 50 branch IDs - required unless project key is provided

project (string, query, optional)

Project key - required unless branchIds is provided

Examples (1)

List the branches of a project openapi-spec
curl 'https://sonarcloud.io/api/project_branches/list?branchIds=uuid1%2Cuuid2%2Cuuid3&project=my_project'
import requests

resp = requests.get(
    "https://sonarcloud.io/api/project_branches/list",
    params={
        'branchIds': 'uuid1,uuid2,uuid3',
        'project': 'my_project',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("sonarqube")
result = api.fetch("api/project_branches/list", branchIds="uuid1,uuid2,uuid3", project="my_project")

for item in result:
    print(item)
const resp = await fetch("https://sonarcloud.io/api/project_branches/list?branchIds=uuid1%2Cuuid2%2Cuuid3&project=my_project");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:23:19.032679 400 252ms
2026-04-16 00:02:57.141592 400 133ms
2026-04-15 02:08:12.315650 400 217ms
2026-04-14 03:01:36.142820 400 202ms
2026-04-12 12:40:45.941725 400 125ms
2026-04-10 03:05:37.536005 400 704ms
2026-04-09 02:32:48.567367 400 160ms